<?php
/*
 * This file is part of EC-CUBE
 *
 * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
 *
 * http://www.lockon.co.jp/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/**
 * データストアとの接続ドライバを抽象化するためのファクトリークラス.
 *
 * 主に, データストアへの接続ドライバの抽象化を行う.
 * 今のところ, ADOdb に対応している.
 * 将来的には, ADOdb や PEAR::MDB2, PDO などのラッパーとして動作する.
 *
 * TODO 現在は, PersistenceManager::connectionFactory で直接 ADOdb
 * のインスタンスを扱っているため, 未実装
 *
 * @package XDO
 * @author Kentaro Ohkouchi
 * @version $Id$
 */
class XDO_ConnectionFactory {
}
?>
